For Developers

Cancel Sync

POST https://ed.link/api/v2/teams/:team_id/sources/:source_id/syncs/:sync_id/cancel

Terminates an in-progress or queued sync run, rolling back staging state.

Permissions

Requires the syncs.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the source.
:sync_idUUIDYesThe ID of the sync to cancel.

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/syncs/${sync_id}/cancel`,
    {},
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "673cf97a-9a91-4560-8f96-3a72df54db12",
        "state": "cancelled"
    }
}